List URL paths

posthttps://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name/listPaths

ListPaths returns the set of valid streaming paths for a given Streaming Locator. A distinct set of paths is returned for each type of DRM configured, per the 'EnabledProtocols' property of the streaming policy.

RBAC Capability Required: ams.streaminglocator.create

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
locator_namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

200Streaming locator paths returned.

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…